/* Copyright 1991 Digital Equipment Corporation.               */
/* All rights reserved. See copyright notice in attached file COPYRIGHT. */
/* Last modified on Mon Aug 19 22:33:12 1991 by burrows        */
#include <stdio.h>

extern void exit ();

main ()
{
	char buf[2000];
	register int c;
	register char *s;
	register long n, ln;
	int shift;

	ln = 0;

	c = getchar ();

	while ((c & 0xc0) == 0x80) {
		c &= 0x3f;
		s = &buf[c];

		c = getchar ();
		
		while (c != '\0' && c != EOF) {
			*s++ = c;
			c = getchar ();
		}

		if (c != EOF)
			c = getchar ();
		*s = '\0';

		ln = 0;

		while ((c & 0xc0) != 0x80 && c != EOF) { 
			n = 0;
			shift = 0;
			while ((c & 0xc0) == 0xc0 && c != EOF) {
				n |= (c & 0x3f) << shift;
				shift += 6;
				c = getchar ();
			}
			n |= (c & 0x7f) << shift;
			n += ln;
			ln = n;
			(void) printf ("%s %d\n", buf, n);
			c = getchar ();
		}
	}
	exit (0);
}
