/* Copyright 1991 Digital Equipment Corporation.               */
/* All rights reserved. See copyright notice in attached file COPYRIGHT. */
/* Last modified on Mon Aug 19 22:33:18 1991 by burrows        */
#include <stdio.h>
#include <ctype.h>

extern void exit ();

main (argc, argv)
int argc;
char *argv[];
{
	char buf[2000];
	register int c;
	register char *s = buf;
	register long n, ln;
	register int sep = ' ';

#ifdef SETLOCALE
        (void) setlocale (0, "");
#endif

	if (argc > 1)
		sep = argv[1][0];

	*s = '\0';
	ln = 0;

	c = getchar ();

	while (c != EOF) {
		s = buf;
		
		while (c == *s) {
			s++;
			c = getchar ();
		}

		if (c != sep || *s != '\0') {
			if (s-buf > 0x3f) {
				putchar (0x80 | 0x3f);
				(void) fwrite (buf+0x3f, 1,
					(s-buf)-0x3f, stdout);
			} else
				putchar (0x80 | (s-buf));

			while (c != sep && c != '\n' && c != EOF) {
				putchar (c);
				*s++ = c;
				c = getchar ();
			}
			putchar ('\0');
			*s = '\0';
			ln = 0;
		}

		while (c == sep)
			c = getchar ();
		
		while (isdigit (c)) {
			n = 0;
			while (isdigit (c)) {
				n = n*10+ (c-'0');
				c = getchar ();
			}
			n -= ln;
			ln += n;
			while (n > 0x7f) {
				putchar (0xc0 | n);
				n >>= 6;
			}
			putchar (n);
			while (c == sep)
				c = getchar ();
		}

		while (c != '\n' && c != EOF)
			c = getchar ();

		if (c == '\n')
			c = getchar ();
	}
	exit (0);
}
